Bug 1826213 - Failed to install openshift packages
Summary: Failed to install openshift packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: Russell Teague
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks: 1826376
TreeView+ depends on / blocked
 
Reported: 2020-04-21 08:57 UTC by Gaoyun Pei
Modified: 2020-07-13 17:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Implement a less restrictive version check for openshift RPM installation. Reason: Version check previously required a three-part version (x.y.z) and versioning could be to two-part version (x.y) in the future. Result: RPMs will be installed in either version scheme.
Clone Of:
: 1826376 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12145 None closed Bug 1826213: Update version check to support semver change 2020-08-05 02:55:49 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:29:46 UTC

Comment 1 Russell Teague 2020-04-30 19:54:38 UTC
Is this still a test blocker?  I don't think the build semver change was implemented for 4.5.

This bug/pr is blocked by CI failures.

Comment 5 Gaoyun Pei 2020-05-05 10:44:59 UTC
Verify this bug with openshift-ansible-4.5.0-202005021517.git.1.f73bc46.el7.noarch.rpm.

All 4.5 openshift_node_packages were installed successfully.

Comment 6 errata-xmlrpc 2020-07-13 17:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.